Main Page Widgets Namespaces Book

# Gtk::VPaned Class Reference
[Widgets]

Inheritance diagram for Gtk::VPaned:

[legend]

List of all members.

## Detailed Description

The Gtk::VPaned widget is a container widget with two children arranged horizontally.

The division between the two panes is adjustable by the user by dragging a handle. See Gtk::Paned for details.

## Public Member Functions

const GtkVPaned* | gobj () const
| Provides access to the underlying C GtkObject.
GtkVPaned* | gobj ()
| Provides access to the underlying C GtkObject.
| VPaned ()
virtual | ~VPaned ()

## Related Functions

(Note that these are not member functions.)
Gtk::VPaned* | wrap (GtkVPaned* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::VPaned::~VPaned | ( |  | ) | `[virtual]`

Gtk::VPaned::VPaned | ( |  | ) |

## Member Function Documentation

const GtkVPaned* Gtk::VPaned::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Paned.

GtkVPaned* Gtk::VPaned::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Paned.

## Friends And Related Function Documentation

Gtk::VPaned* wrap | ( | GtkVPaned * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- paned.h